Inventory Rooms
Endpoints
| Endpoint | Description |
|---|---|
| Location Rooms | Returns all rooms for a location, and specifies if the room is the default selling room or default receiving room. |
| Location Room | Returns a single room for a location, and specifies if the room is the default selling room or default receiving room. |
Location Rooms
GET /availability/v1/Companies/{CompanyId}/Locations/{LocationId}/Rooms
Returns all rooms for a location, and specifies if the room is the default selling room or default receiving room.
Example of a call would be:
Example: https://api.covasoft.net/availability/v1/Companies/{CompanyId}/Locations/{LocationId}/Rooms
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | The CompanyId of the company being searched. | integer | Required |
| LocationId | The LocationId to query rooms for. | integer | Required |
Body Parameters
None.
Response Information
Resource Description
Collection of RoomsReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| RoomId | integer | None. | |
| Name | string | None. | |
| IsDefaultSelling | boolean | None. | |
| IsDefaultReceiving | boolean | None. |
Response Formats
application/json, text/json
[
{
"RoomId": 1,
"Name": "sample string 2",
"IsDefaultSelling": true,
"IsDefaultReceiving": true
},
{
"RoomId": 1,
"Name": "sample string 2",
"IsDefaultSelling": true,
"IsDefaultReceiving": true
}
]
Location Room
GET /availability/v1/Companies({CompanyId})/Entities({LocationId})/Rooms({RoomId})
Returns a single room for a location, and specifies if the room is the default selling room or default receiving room.
Example of a call would be:
Example: https://api.covasoft.net/availability/v1/Companies({CompanyId})/Entities({LocationId})/Rooms({RoomId})
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | The CompanyId of the company being searched. | integer | Required |
| LocationId | The LocationId the room belongs to. | integer | Required |
| RoomId | The Id of the room to retrieve. | integer | Required |
Body Parameters
None.
Response Information
Resource Description
RoomsReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| RoomId | integer | None. | |
| Name | string | None. | |
| IsDefaultSelling | boolean | None. | |
| IsDefaultReceiving | boolean | None. |
Response Formats
application/json, text/json
{
"RoomId": 184,
"Name": "Sales Floor",
"IsDefaultSelling": true,
"IsDefaultReceiving": false
}